Skip to content
Start here

List Item Chunks.

aisearch.namespaces.instances.items.chunks(stritem_id, ItemChunksParams**kwargs) -> ItemChunksResponse
GET/accounts/{account_id}/ai-search/namespaces/{name}/instances/{id}/items/{item_id}/chunks

Lists chunks for a specific item in an AI Search instance, including their text content.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
name: str
id: str

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
item_id: str
limit: Optional[int]
maximum100
minimum1
offset: Optional[int]
minimum0
ReturnsExpand Collapse
List[ItemChunksResponseItem]
id: str
item: ItemChunksResponseItemItem
key: str
metadata: Optional[Dict[str, object]]
timestamp: Optional[float]
text: str
end_byte: Optional[float]
start_byte: Optional[float]

List Item Chunks.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.aisearch.namespaces.instances.items.chunks(
    item_id="item_id",
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
    name="my-namespace",
    id="my-ai-search",
)
print(response)
{
  "result": [
    {
      "id": "id",
      "item": {
        "key": "key",
        "metadata": {
          "foo": "bar"
        },
        "timestamp": 0
      },
      "text": "text",
      "end_byte": 0,
      "start_byte": 0
    }
  ],
  "result_info": {
    "count": 0,
    "limit": 0,
    "offset": 0,
    "total": 0
  },
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "id",
      "item": {
        "key": "key",
        "metadata": {
          "foo": "bar"
        },
        "timestamp": 0
      },
      "text": "text",
      "end_byte": 0,
      "start_byte": 0
    }
  ],
  "result_info": {
    "count": 0,
    "limit": 0,
    "offset": 0,
    "total": 0
  },
  "success": true
}